## GIO GIO |

## Functions

GsfInput * | gsf_input_gio_new ()
GsfInput * | gsf_input_gio_new_for_path ()
GsfInput * | gsf_input_gio_new_for_uri ()
GsfOutput * | gsf_output_gio_new ()
GsfOutput * | gsf_output_gio_new_for_path ()
GsfOutput * | gsf_output_gio_new_for_uri ()

## Types and Values

| GsfInputGio
| GsfOutputGio

## Description

## Functions

### gsf_input_gio_new ()

    GsfInput *
    gsf_input_gio_new (GFile *file,
                       GError **err);

#### Parameters

err | place to store a GError if anything goes wrong. | [out][optional][nullable]

#### Returns

A new GsfInputGio or `NULL`

### gsf_input_gio_new_for_path ()

    GsfInput *
    gsf_input_gio_new_for_path (char const *path,
                                GError **err);

#### Parameters

err | place to store a GError if anything goes wrong. | [out][optional][nullable]

#### Returns

A new GsfInputGio or `NULL`

### gsf_input_gio_new_for_uri ()

    GsfInput *
    gsf_input_gio_new_for_uri (char const *uri,
                               GError **err);

#### Parameters

err | place to store a GError if anything goes wrong. | [out][optional][nullable]

#### Returns

A new GsfInputGio or `NULL`

### gsf_output_gio_new ()

    GsfOutput *
    gsf_output_gio_new (GFile *file);

#### Parameters

file | an existing GFile |

#### Returns

A new GsfOutputGio or `NULL`.

[transfer full]

### gsf_output_gio_new_for_path ()

    GsfOutput *
    gsf_output_gio_new_for_path (char const *path,
                                 GError **err);

#### Parameters

err | place to store a GError if anything goes wrong. | [out][optional][nullable]

#### Returns

A new GsfOutputGio or `NULL`.

[transfer full]

### gsf_output_gio_new_for_uri ()

    GsfOutput *
    gsf_output_gio_new_for_uri (char const *uri,
                                GError **err);

#### Parameters

err | place to store a GError if anything goes wrong. | [out][optional][nullable]

#### Returns

A new GsfOutputGio or `NULL`.

[transfer full]

## Types and Values

### GsfInputGio

    typedef struct _GsfInputGio GsfInputGio;

### GsfOutputGio

    typedef struct _GsfOutputGio GsfOutputGio;